Still no Acekard 1.4.5 update, which flashcard can I buy for my DSi XL?

Discussion in 'Acekard' started by Paszq, Jun 6, 2013.

  1. Paszq
    OP

    Paszq Member

    Newcomer
    28
    0
    Sep 13, 2009
    United States
    Still thinking about buying another flashcard. My games just work fine, but I have my troubles about new updates for Acekard 2i? My question: if I want to buy anothor card, which one is the best? I don't know very much about it, and read a lot about clones and bad R4 stuff!

    I have a DSi XL with firmware 1.4.1, not updated yet because than my Acekard won't work anymore. So, what's a good option for firmware 1.4.5?
     


  2. GamerzHell9137

    GamerzHell9137 GBAtemp Psycho!

    Member
    3,824
    1,645
    Nov 1, 2011
    Bosnia and Herzegovina
    Best DSTWO second best R4ids.cn R4i Gold 3DS
     
    stephysanrio and nukeboy95 like this.
  3. Paszq
    OP

    Paszq Member

    Newcomer
    28
    0
    Sep 13, 2009
    United States
  4. aalokishere

    aalokishere GBAtemp Regular

    Member
    160
    28
    Jun 19, 2012
    Nepal
    Looks real but is A Clone....Might not have support in the future though it supports latest update(dont know if dsi updates are still going on). If you can pay that, wont that price cover a R4igold? I think you should get that above this.
    But if there are no future updates this shouldn't be a problem as well i.e if the build quality is good enough
     
  5. Jayro

    Jayro MediCat DVD and Mini Windows 10 Developer

    Member
    GBAtemp Patron
    Jayro is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,860
    2,593
    Jul 23, 2012
    United States
    Octo Canyon
    My R4i 3DS Gold from r4ids.cn STILL doesn't have a working 4.5.0-10 update for my botched "rev C" card... So less than a year and I'm already fucked. :/ I've tried the patches in a DS Lite, a DSi, and a 3DS, and nothing works.
     
  6. Paszq
    OP

    Paszq Member

    Newcomer
    28
    0
    Sep 13, 2009
    United States
  7. stephysanrio

    stephysanrio GBAtemp Regular

    Member
    214
    17
    Jun 26, 2012
    United States
    Miami
    r4i gold is good is just lately they stop working on a card once theres a new nintendo update they drop that card and come out with something else (perhaps the old card cant be patched to support the latest version nintendo comes up with OR its just a way to make more $)

    Supercard so far hasnt had any other models so if you want to not have to buy another card in the future dstwo is the way to go.
     
  8. porkiewpyne

    porkiewpyne Report-er

    Global Moderator
    2,054
    1,192
    Jun 8, 2008
    Australia
    I highly suggest that you do NOT get that cart. Dual Core is pure bullshit and the company making this is known to drop support and produce yet another new cart.

    In short, get either a DSTwo or the R4i from either r4ids.cn or r4idsn.com only. These are your safest bets.
     
  9. aalokishere

    aalokishere GBAtemp Regular

    Member
    160
    28
    Jun 19, 2012
    Nepal
  10. Foxi4

    Foxi4 On the hunt...

    pip Reporter
    23,537
    21,496
    Sep 13, 2009
    Poland
    Gaming Grotto
    QFT, pretty much the only two viable options if you don't want to get thrown out of the loop with an update. Preferably get the DSTwo simply because it does more, but if you're tight on money, R4iDS.CN should be fine too. I also heard that Ace3DS works fine (plus some misc. carts that are mostly out of production these days, but you won't get those for obvious reasons), but that card just seems sketchy to me.
     
  11. Paszq
    OP

    Paszq Member

    Newcomer
    28
    0
    Sep 13, 2009
    United States
    DSTWO looks nice, but too expensive. Got an Acekard 2i now, and it works fine. But I'm worried about the future, because can't update my DSi XL because Acekard don't give an update for 1.4.5.
    R4i Gold Pro looks nice to me, is not too expensive, but do you recommend this if they already said 1.4.5 is the last update??
     
  12. Another World

    Another World Emulate the Planet!

    Former Staff
    10,498
    1,673
    Jan 3, 2008
    Colombia
    From Where???
    the day after you buy the ds2 it pays for itself. most flash kits for other consoles are $100+. anyways, the r4i gold pro is not a card you would want. the only 3 cards we recommend are the ds2, r4i gold .cn (from the .cn team, as per the web address printed on the label), and the r4idsn (also from that team). both of those r4 clones run the wood firmware and receive dsi/3ds firmware updates.

    -another world
     
  13. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
  14. zarabow
    This message by zarabow has been removed from public view by Costello, Jun 19, 2013.
    Jun 7, 2013
  15. ipwndeveloper

    ipwndeveloper GBAtemp Regular

    Member
    276
    68
    Jun 3, 2013
    United States
    San Fransisco, CA
    yea dstwo is pretty cool. I wish team Acekard would patch the AK2i to work on 1.4.5 but it may be impossible due to a hardware limitation.
     
  16. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    It is, they ran out of space.
     
  17. ipwndeveloper

    ipwndeveloper GBAtemp Regular

    Member
    276
    68
    Jun 3, 2013
    United States
    San Fransisco, CA
    darn, better stick to 1.4.1
     
  18. TackyPie

    TackyPie GBAtemp Fan

    Member
    304
    43
    Jul 4, 2012
    United States
  19. Another World

    Another World Emulate the Planet!

    Former Staff
    10,498
    1,673
    Jan 3, 2008
    Colombia
    From Where???
  20. Paszq
    OP

    Paszq Member

    Newcomer
    28
    0
    Sep 13, 2009
    United States
    Sold my DSi XL and bought a 3DS XL Animal Crossing New Leaf Bundle! So, I have a R4i RTS Lite now, works fine!!
     
  21. haralds

    haralds Newbie

    Newcomer
    7
    0
    Mar 27, 2010
    United States
    DSTwo stopped working with the latest FW 6.0...